import request from "@/util/request";

//login
export function login(data) {
  return request({
    url: "/user/login",
    method: "post",
    data,
  });
}

//register
export function regis(data) {
  return request({
    url: "/user/register",
    method: "post",
    data,
  });
}
//autologin
export function alogin() {
  return request({
    url: "/info/autologin",
    method: "post",
  });
}
//rexpass
export function rexpass(data) {
  return request({
    url: "/user/respass",
    method: "post",
    data,
  });
}
//updatepass
export function updatepass(data) {
  return request({
    url: "/user/updatepass",
    method: "put",
    data,
  });
}
//updatetel
export function updatetel(data) {
  return request({
    url: "/info/update/tel",
    method: "put",
    data,
  });
}
